#!/usr/bin/bash
# dvdefs.sh
# created and copyrighted:  8 Nov 11
#
# author: Evsiz (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

ROOT=~/rho/d_rho/current

# code
if [ "$1" == "" ]; then
	echo "usage: dvddefs.sh some.h"
	exit
	fi

cd $ROOT

FILES=`ls *.c include/*.h`
DEFS=`grep ^\#define "$1" | sed 's/	/ /g' | tr "(" " " | cut -d" "  -f2`

for d in $DEFS; do
	echo -n "."
	for f in $FILES; do
		FOUND=0
		if [ "$f" == "$1" ]; then continue; fi
		grep -q $d $f
		if [ $? -eq 0 ]; then
			FOUND=1
			break
		fi
	done
	if [ $FOUND -eq 0 ]; then
		echo $1": "$d >> UNUSED_DEFINES.txt
	fi	
done

echo
